CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this:
        calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this:
        #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[MOŽNOSTI]

    --add-simple-plugin
        Vložiť jednoduchý doplnok (napr. doplnok obsahujúci len .py súbor) zadaním cesty ku súboru py, ktorý obsahuje kód doplnku.

    --command, -c
        Spustiť kód jazyka Python.

    --debug-device-driver, -d
        Analyzovať chyby pri identifikácii zariadenia

    --default-programs
        (Od)registrovať Calibre vo východzích programoch Windows. --default-programs = (register|unregister)

    --diff
        Spustiť rozdielový nástroj Calibre. Napríklad: calibre-debug --diff súbor1 súbor2

    --edit-book
        Launch the calibre "Edit book" tool in debug mode. As with -g use -- to pass command line arguments.

    --exec-file, -e
        Spustiť kód jazyka Python v súbore.

    --explode-book, -x
        Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

    --export-all-calibre-data
        Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

    --gui, -g
        Run the GUI with debugging enabled. Debug output is printed to stdout and stderr. To pass command line arguments use -- followed by the arguments, for example: calibre-debug -g -- /path/to/ebook

    --gui-debug
        Spustiť diagnostiku grafického rozhrania v terminále a zaznamenať výsledky na určené miesto. Len pre interné účely použite možnosť -g, na diagnostiku grafického rozhrania.

    --help, -h
        zobraziť túto nápovedu a skončiť

    --implode-book, -i
        Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

    --import-calibre-data
        Importovať predtým exportované dáta Calibre

    --inspect-mobi, -m
        Skontrolovať súbor (súbory) MOBI zo zadanej cesty (zadaných ciest)

    --kepubify
        Konvertuje zadaný súbor EPUB na KEPUB bez vykonania úplnej konverzie. Presne to robí ovládač Kobo pri odosielaní súborov do zariadenia.

    --paths
        Výstup ciest potrebných pre nastavenie prostredia Calibre

    --run-plugin, -r
        Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

    --run-test, -t
        Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

    --run-without-debug
        Nespúšťať s nastaveným príznakom DEBUG

    --shutdown-running-calibre, -s
        Spôsobí, že akákoľvek bežiaca inštancia bude ukončená. Uvedomte si, že ak sa práve spracúvajú úlohy, budú potichu prerušené, takže používajte opatrne.

    --subset-font, -f
        Redukovať zadané písmo. Použite -- po tejto voľbe pre predanie možnosti programu pre čiastočné vkladanie písma.

    --test-build
        Testovať binárne moduly v zostavovaní

    --un-kepubify
        Konvertuje zadaný súbor KEPUB na EPUB bez vykonania úplnej konverzie. Presne to robí ovládač Kobo pri importe súborov zo zariadenia.

    --version
        zobraziť verziu programu a skončiť

    --viewer, -w
        Run the E-book viewer in debug mode. As with -g use -- to pass command line arguments.

Author
Kovid Goyal

Copyright
Kovid Goyal